package sqlite3

import (
	"github.com/jmoiron/sqlx"

	_ "github.com/mattn/go-sqlite3"
)

var db *sqlx.DB

func InitDB() {
	if db == nil {
		db, _ = sqlx.Open("sqlite3", "./data.db")
	}
}

func TryCreateTable(query string) error {
	InitDB()
	_, err := db.Exec(query)
	if err != nil {
		return err
	}
	return nil
}

func GetDB() *sqlx.DB {
	return db
}

func GetTran() (*sqlx.Tx, error) {
	return db.Beginx()
}
